Trinity DE - кто-ниудь уже устанавливал?

Сабж

Как впечатления?

Сайт проекта http://trinitydesktop.org/
Очередная ностальгия по некро-DE. ) Не пробовал, но двумя руками за! Кеды 3.5 - шустрая штука даже на старом железе.
Пива много не бывает.
Рабочий стол TDE + kwin_x11: адаптация скрипта запуска - наиболее подходит для перехода с Windows.
Преимущества - Рабочий стол Plasma заменяется на лёгкий TDE 14 со всеми преимуществами KDE (службы, настройки, приложения)
Отображение шкалы заполнения дисков, произвольная сетка Рабочего стола, не привязанная к размерам иконок (в отличии от XFCE) и более удобная организация Рабочего стола и Панели задач.
Необходимые пакеты: tde-tdebase, plasma.
Скрипт запуска подготавливает две рабочих среды, в частности меняет диспетчер окон TDE на современный kwin, который добавляет свои горячие клавиши, темы окон, графические эффекты, переключатель задач и рабочих столов (комнат нет) и многое другое.
Установка: скопировать starttde_kwin в /opt/trinity/bin/ и добавить новую сессию в /usr/share/xsessions/trinity-kwin.desktop
[Desktop Entry]
Type=XSession
Exec=/opt/trinity/bin/starttde_kwin
Name=Trinity Plasma (kwin)

# репозиторий TDE
[trinity]
SigLevel = Never
Server = http://repo.nasutek.com/arch/contrib/trinity/x86_64

превью
скрипт starttde_kwin
#!/bin/sh
#  DEFAULT Plasma STARTUP SCRIPT ( 5.11.1 )  + TDE (TRINITY STARTUP SCRIPT)

# We need to create config folder so we can write startupconfigkeys
if [  ${XDG_CONFIG_HOME} ]; then
  configDir=$XDG_CONFIG_HOME;
else
  configDir=${HOME}/.config;
fi

mkdir -p $configDir

#This is basically setting defaults so we can use them with kstartupconfig5
cat >$configDir/startupconfigkeys <<EOF
kcminputrc Mouse cursorTheme 'breeze_cursors'
kcminputrc Mouse cursorSize ''
ksplashrc KSplash Theme Breeze
ksplashrc KSplash Engine KSplashQML
kdeglobals KScreen ScreenScaleFactors ''
kcmfonts General forceFontDPI 0
EOF

# preload the user's locale on first start
plasmalocalerc=$configDir/plasma-localerc
test -f $plasmalocalerc || {
cat >$plasmalocalerc <<EOF
[Formats]
LANG=$LANG
EOF
}

# export LC_* variables set by kcmshell5 formats into environment so it can be picked up by QLocale and friends.
exportformatssettings=$configDir/plasma-locale-settings.sh
test -f $exportformatssettings && {
    . $exportformatssettings
}

# Write a default kdeglobals file to set up the font
kdeglobalsfile=$configDir/kdeglobals
test -f $kdeglobalsfile || {
cat >$kdeglobalsfile <<EOF
[General]
XftAntialias=true
XftHintStyle=hintmedium
XftSubPixel=none
EOF
}

kstartupconfig5
returncode=$?
if test $returncode -ne 0; then
    xmessage -geometry 500x100 "kstartupconfig5 does not exist or fails. The error code is $returncode. Check your installation."
    exit 1
fi
[ -r $configDir/startupconfig ] && . $configDir/startupconfig

if [ "$kdeglobals_kscreen_screenscalefactors" ]; then
    export QT_SCREEN_SCALE_FACTORS="$kdeglobals_kscreen_screenscalefactors"
fi

# XCursor mouse theme needs to be applied here to work even for kded or ksmserver
if test -n "$kcminputrc_mouse_cursortheme" -o -n "$kcminputrc_mouse_cursorsize" ; then
    kapplymousetheme "$kcminputrc_mouse_cursortheme" "$kcminputrc_mouse_cursorsize"
    if test $? -eq 10; then
        XCURSOR_THEME=breeze_cursors
        export XCURSOR_THEME
    elif test -n "$kcminputrc_mouse_cursortheme"; then
        XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
        export XCURSOR_THEME
    fi
    if test -n "$kcminputrc_mouse_cursorsize"; then
        XCURSOR_SIZE="$kcminputrc_mouse_cursorsize"
        export XCURSOR_SIZE
    fi
fi

if test "$kcmfonts_general_forcefontdpi" -ne 0; then
    xrdb -quiet -merge -nocpp <<EOF
Xft.dpi: $kcmfonts_general_forcefontdpi
EOF
fi

# Source scripts found in <config locations>/plasma-workspace/env/*.sh

scriptpath=`qtpaths --locate-dirs GenericConfigLocation plasma-workspace | tr ':' '\n'`

# Add /env/ to the directory to locate the scripts to be sourced
for prefix in `echo $scriptpath`; do
  for file in "$prefix"/env/*.sh; do
    test -r "$file" && . "$file" || true
  done
done

xsetroot -cursor_name left_ptr

# Get Ghostscript to look into user's KDE fonts dir for additional Fontmap
if test -n "$GS_LIB" ; then
    GS_LIB=$usr_fdir:$GS_LIB
    export GS_LIB
else
    GS_LIB=$usr_fdir
    export GS_LIB
fi

echo 'startkde: Starting up...'  1>&2

if test -z "$XDG_DATA_DIRS"; then
    XDG_DATA_DIRS="/usr/share:/usr/share:/usr/local/share"
fi
export XDG_DATA_DIRS

# если установить: XDG_CURRENT_DESKTOP=KDE пропадают некоторые иконки в трее, но тема иконок в Qt приложениях применяется правильно
export XDG_CURRENT_DESKTOP=XFCE	# XDG_CURRENT_DESKTOP=KDE ; export XDG_CURRENT_DESKTOP=KDE

export KDE_SESSION_VERSION=5
xprop -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 5
export KDE_SESSION_UID=`id -ru`

KSMSERVEROPTIONS=""

#====================================================================

#  DEFAULT TRINITY STARTUP SCRIPT

# It should work for command line logins but graphical login managers might already source these files.
# Multiple sourcing is not a problem when the files are only containers for environment variables and such.
if [ -r /etc/xprofile ]; then
  source /etc/xprofile
fi
if [ -r $HOME/.xprofile ]; then
  source $HOME/.xprofile
fi

# Usage: is_in_path PATH /usr/bin
is_in_path() { var="$1"; search="$2";
  if eval test -z \$$1; then return 1; fi
  ifs="$IFS"; IFS=":"; eval set \$$var; IFS="$ifs"
  for i in $*; do
    [ "${i}" = "${search}" ] && return 0
  done
  return 1
}

# Usage: is_before_in_path ENV_VAR var before_var
# Return 0 if 'var' is before 'before_var' in 'ENV_VAR', 1 otherwise
is_before_in_path() {
  [ $# -ge 3 ] || return 1
  var="$1"; search="$2"; before="$3"
  ifs="$IFS"; IFS=":"; eval set \$$var; IFS="$ifs"
  for i in $*; do
    [ "${i}" = "${search}" ] && return 0
    [ "${i}" = "${before}" ] && return 1
  done
  return 1
}

# Usage: place_before_in_path PATH /opt/trinity/games /usr/games
place_before_in_path() { var="$1"; insert="$2";
  if eval test -z \$$1; then
    eval export $var=${insert}
  else
    before="$3"; ifs="$IFS"; IFS=":"; eval set \$$var; IFS="$ifs"
    NPATH=""
    for i in $*; do
      [ "${i}" = "${before}" ] && NPATH="${NPATH}:${insert}"
      NPATH="${NPATH}:${i}"
    done
    eval export $var=${NPATH#:}
  fi
}
# Usage: remove_from_path PATH /opt/trinity/games
remove_from_path() { var="$1"; remove="$2";
  if eval test -z \$$1; then return 1; fi
  ifs="$IFS"; IFS=":"; eval set \$$var; IFS="$ifs"
  NPATH=""
  for i in $*; do
    [ "${i}" != "${remove}" ] && NPATH="${NPATH}:${i}"
  done
  eval export $var=${NPATH#:}
}

echo "[starttde] Starting starttde." 1>&2
echo "[starttde] This script is $0" 1>&2

# The binaries for TDE are located in the same place as this script. To determine that location use the following method rather than presuming
# the existence of $TDEDIR. That environment variable might not be defined or defined to point to KDE4 binaries.
BIN_DIR="`dirname \`readlink -f $0\``"
if [ -x $BIN_DIR/tde-config ]; then
  TDE_VERSION=$($BIN_DIR/tde-config --version | while IFS=: read a b; do [ "${a#TDE}" != "$a" ] && echo $b; done)
  echo "[starttde] TDE version is $TDE_VERSION" 1>&2
  export TDEDIR=${BIN_DIR%/bin}
  echo "[starttde] TDE base directory is $TDEDIR" 1>&2
else
  echo "[starttde] Unable to determine the TDE bin directory, where this script should be installed."
  echo "[starttde] This script should be installed in the same directory."
  echo "[starttde] Exiting."
  exit 1
fi
unset BIN_DIR

# When the X server dies we get a HUP signal from xinit. We must ignore it because we still need to do some cleanup.
trap 'echo "[starttde] GOT SIGHUP"' HUP

# Check if a TDE session is already running.
if /opt/trinity/bin/kcheckrunning >/dev/null 2>&1; then
  echo "[starttde] TDE seems to be already running on this display."
  xmessage -center -geometry 500x100 "TDE seems to be already running on this display." > /dev/null 2>/dev/null
  exit 1
fi

# We use colours from the standard TDE palette for those with palettised displays.
if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
  xsetroot -solid "#003080" # blue
fi

# Unset this for Darwin since it will screw up TDE's dynamic-loading.
unset DYLD_FORCE_FLAT_NAMESPACE

# Check whether prelinking is enabled. If yes, then exporting TDE_IS_PRELINKED improves loading TDE.
# The $TDE_IS_PRELINKED variable might already be set on some systems through /etc/profile.d. Therefore first check whether the variable exists.
if [ "$TDE_IS_PRELINKED" = "" ]; then
  if [ -r /etc/default/prelink ]; then
    . /etc/default/prelink
  elif [ -r /etc/sysconfig/prelink ]; then
    . /etc/sysconfig/prelink
  fi
  if [ "$PRELINKING" = "yes" ]; then
    export TDE_IS_PRELINKED=1
  fi
fi

# The user's personal TDE directory usually is $HOME/.trinity.
# This setting may be overridden by setting $TDEHOME. When migrating profiles must be careful here because $HOME/.kde was used commonly in the

if [ "$TDEHOME" != "" ]; then
  echo "[starttde] TDEHOME is preset to $TDEHOME." 1>&2
  export TDEHOME=$TDEHOME
else
  echo "[starttde] TDEHOME is not set." 1>&2
  export TDEHOME=$HOME/.trinity

  if [ ! -d $HOME/.trinity ] && [ ! -f /usr/bin/kde4-config ] && [ "$TDEDIR"="/usr" ] && [ -d $HOME/.kde ]; then
    export TDEHOME=$HOME/.kde
  fi
  echo "[starttde] Set TDEHOME to $TDEHOME." 1>&2
fi

if [ "$TDEROOTHOME" = "" ]; then
  export TDEROOTHOME=/root/.trinity
  echo "[starttde] Setting TDEROOTHOME to $TDEROOTHOME."
fi

# Modify the following environment variables only as necessary.
if [ -d $TDEDIR/games ]; then
  if ! is_in_path PATH "$TDEDIR/games" ; then
    if is_in_path PATH "/usr/games"; then
      place_before_in_path PATH "$TDEDIR/games" "/usr/games"
    else
      export PATH=$TDEDIR/games:$PATH
    fi
  fi
fi

if [ -d $TDEDIR/bin ]; then
  if ! is_in_path PATH "$TDEDIR/bin" ]; then
    if is_in_path PATH "/usr/bin"; then
#       place_before_in_path PATH "$TDEDIR/bin" "/usr/bin"
      export PATH=$PATH:$TDEDIR/bin		# так вместо konqueror TDE открывается konqueror Plasma (но его можно не ставить)
    else
      export PATH=$TDEDIR/bin:$PATH
    fi
  fi
fi
if [ -d $TDEDIR/share/man ]; then
  if [ -x /usr/bin/manpath ]; then
    if [ "`manpath 2>/dev/null | grep \"$TDEDIR/share/man\"`" = "" ]; then
      export MANPATH=$TDEDIR/share/man:$MANPATH
    fi
  else
    if [ "`echo $MANPATH | grep \"$TDEDIR/share/man\"`" = "" ]; then
      export MANPATH=$TDEDIR/share/man:$MANPATH
    fi
  fi
fi

if [ "$XDG_CONFIG_DIRS" = "" ]; then
  if [ -d /etc/xdg ]; then
    XDG_CONFIG_DIRS=/etc/xdg
  fi
fi

if [ -d $TDEDIR/etc/xdg ]; then
  TDE_XDG_DIR="$TDEDIR/etc/xdg"
fi
if [ -d $TDE_XDG_DIR ]; then
  if [ "`echo $XDG_CONFIG_DIRS | grep \"$TDE_XDG_DIR\"`" = "" ]; then
    if [ "$XDG_CONFIG_DIRS" = "" ]; then
      XDG_CONFIG_DIRS=$TDE_XDG_DIR
    else
      XDG_CONFIG_DIRS=$TDE_XDG_DIR:$XDG_CONFIG_DIRS
    fi
  fi
fi
if [ "$XDG_CONFIG_DIRS" != "" ]; then
  export XDG_CONFIG_DIRS
fi

if [ "$TDEDIR" != "/usr" ] && [ -d $TDEDIR/share ]; then
  # If '/usr/share' is not already there, we include it at the last position.
  if ! is_in_path XDG_DATA_DIRS "/usr/share"; then
    if [ "$XDG_DATA_DIRS" = "" ]; then
      XDG_DATA_DIRS=/usr/share    # In case XDG_DATA_DIRS is empty, to avoid a leading :
    else
      XDG_DATA_DIRS=$XDG_DATA_DIRS:/usr/share
    fi
  fi
  # If '/usr/local/share' is not already there, we include it before '/usr/share'
  if ! is_in_path XDG_DATA_DIRS "/usr/local/share"; then
    place_before_in_path XDG_DATA_DIRS "/usr/local/share" "/usr/share"
  fi

  # Ensure that $TDEDIR/share is always before '/usr/local/share' and '/usr/share'.
  if ! is_in_path XDG_DATA_DIRS "$TDEDIR/share" ||
     is_before_in_path XDG_DATA_DIRS "/usr/local/share" "$TDEDIR/share" ||
     is_before_in_path XDG_DATA_DIRS "/usr/share" "$TDEDIR/share"; then
    remove_from_path XDG_DATA_DIRS "$TDEDIR/share"
    if is_before_in_path XDG_DATA_DIRS "/usr/local/share" "/usr/share"; then
      place_before_in_path XDG_DATA_DIRS "$TDEDIR/share" "/usr/local/share"
    else
      place_before_in_path XDG_DATA_DIRS "$TDEDIR/share" "/usr/share"
    fi
  fi
# Adds supplementary directories from TDEDIRS, if any, before TDEDIR.
  if [ "$TDEDIRS" != "" ]; then
    ifs="$IFS"; IFS=":"; set $TDEDIRS; IFS="$ifs"
    for dir in $*; do
      if ! is_in_path XDG_DATA_DIRS "$dir/share" && [ -d "$dir/share" ]; then
        XDG_DATA_DIRS=$dir/share:$XDG_DATA_DIRS
      fi
    done
  fi
  export XDG_DATA_DIRS
fi

echo "[starttde] XDG_DATA_DIRS: $XDG_DATA_DIRS" 1>&2
test -n "$TDEHOME" && tdehome=`echo "$TDEHOME" | sed "s,^~/,$HOME/,"`

# Allow interested applications, such as the Plasma control wrapper, to know that this is a Trinity desktop and not a KDE one.
export DESKTOP_SESSION=trinity

# Create profile directory.
if [ ! -d "$tdehome" ]; then
  echo "[starttde] Creating $tdehome" 1>&2
  mkdir -m 700 -p "$tdehome"
fi
if [ -d "$tdehome" ]; then
  # Run some R14 updates.
  R14_UPDATED="`$TDEDIR/bin/kreadconfig --file kdeglobals --group "R14 XDG Updates" --key Updated --default false`"
  R14_VERSION="`$TDEDIR/bin/kreadconfig --file kdeglobals --group "R14 XDG Updates" --key Version --default 0`"
  if [ -e $TDEDIR/bin/r14-xdg-update ]; then
    # Script version index is used to allow automatic rerun
    R14_SCRIPT="`sed -n "s/SCRIPT_VERSION=\([0-9]*\)/\1/p" $TDEDIR/bin/r14-xdg-update`"
  else
    R14_SCRIPT=0
  fi
  if [ "$R14_UPDATED" != "true" ] || [ "$R14_VERSION" -lt "$R14_SCRIPT" ]; then
    if [ -e $TDEDIR/bin/r14-xdg-update ]; then
      echo "[starttde] Running $TDEDIR/bin/r14-xdg-update script." 1>&2
      sh $TDEDIR/bin/r14-xdg-update
      EXIT_CODE="$?"
    else
      echo "[starttde] $TDEDIR/bin/r14-xdg-update does not exist." 1>&2
      echo "           Unable to perform a profile update for Trinity release R14."
    fi
    if [ "$EXIT_CODE" != "0" ]; then
      exit 1
    fi
  fi
fi
# Please see tdestartupconfig source for usage.
mkdir -m 700 -p "$tdehome/share"
mkdir -m 700 -p "$tdehome/share/config"
cat >"$tdehome/share/config/startupconfigkeys" <<EOF
kcminputrc Mouse cursorTheme ''
kcminputrc Mouse cursorSize ''
kpersonalizerrc General FirstLogin true
ksplashrc KSplash Theme Default
kcmrandrrc Display ApplyOnStartup false
kcmrandrrc [Screen0]
kcmrandrrc [Screen1]
kcmrandrrc [Screen2]
kcmrandrrc [Screen3]
kcmfonts General forceFontDPI 0
EOF

$TDEDIR/bin/tdestartupconfig
if test $? -ne 0; then
  xmessage -center -geometry 500x100 "Could not start tdestartupconfig. Check your installation."
fi
# $tdehome/share/config/startupconfig should exist but avoid script failure if not.
if [ -r "$tdehome/share/config/startupconfig" ]; then
  . "$tdehome/share/config/startupconfig"
fi

# Make sure a default wallpaper is set.
if [ ! -e "$tdehome/share/config/kdesktoprc" ]; then
 # With Trinity this file should exist, but test first.
  if [ -r $TDEDIR/share/wallpapers/Trinity-lineart.svg.desktop ]; then
cat >"$tdehome/share/config/kdesktoprc" <<EOF
[Desktop0]
Wallpaper=Trinity-lineart.svg
WallpaperMode=Scaled
EOF
  fi
fi

# XCursor mouse theme needs to be applied here to work even for kded or ksmserver.

if test "$kcmrandrrc_display_applyonstartup" = "true"; then
  # 4 screens is hopefully enough.
  for scrn in 0 1 2 3; do
    args=
    width="\$kcmrandrrc_screen${scrn}_width" ; eval "width=$width"
    height="\$kcmrandrrc_screen${scrn}_height" ; eval "height=$height"
    if test -n "${width}" -a -n "${height}"; then
      args="$args -s ${width}x${height}"
    fi
    refresh="\$kcmrandrrc_screen${scrn}_refresh" ; eval "refresh=$refresh"
    if test -n "${refresh}"; then
      args="$args -r ${refresh}"
    fi
    rotation="\$kcmrandrrc_screen${scrn}_rotation" ; eval "rotation=$rotation"
    if test -n "${rotation}"; then
      case "${rotation}" in
        0)
          args="$args -o 0"
          ;;
        90)
          args="$args -o 1"
          ;;
        180)
          args="$args -o 2"
          ;;
        270)
          args="$args -o 3"
          ;;
      esac
    fi
    reflectx="\$kcmrandrrc_screen${scrn}_reflectx" ; eval "reflectx=$reflectx"
    if test "${refrectx}" = "true"; then
      args="$args -x"
    fi
    reflecty="\$kcmrandrrc_screen${scrn}_reflecty" ; eval "reflecty=$reflecty"
    if test "${refrecty}" = "true"; then
      args="$args -y"
    fi
    if test -n "$args"; then
      xrandr $args
    fi
  done
fi

dl=$DESKTOP_LOCKED
unset DESKTOP_LOCKED # Don't want it in the environment

if test -z "$dl" && test "$kpersonalizerrc_general_firstlogin" != "true"; then
  case "$ksplashrc_ksplash_theme" in
    Simple)
      ksplashsimple
      ;;
    *)
      ;;
  esac
fi

# Configuration of the gtk_qt_engine if not already set.
if test -n "$TDEDIRS"; then
  tdedirs_first=${TDEDIRS%%:*}
  TGTK_RC_ENGINE=$tdedirs_first/share/kgtk/gtk-qt-engine.rc.sh
  TGTK_RC_TDE1=$tdedirs_first/share/kgtk/.gtkrc-2.0-kde4
  TGTK_RC_TDE2=$tdedirs_first/share/kgtk/.gtkrc-2.0-kde-kde4
else
  TGTK_RC_ENGINE=$TDEDIR/share/kgtk/gtk-qt-engine.rc.sh
  TGTK_RC_TDE1=$TDEDIR/share/kgtk/.gtkrc-2.0-kde4
  TGTK_RC_TDE2=$TDEDIR/share/kgtk/.gtkrc-2.0-kde-kde4
fi

if [ ! -e "$tdehome/env/gtk-qt-engine.rc.sh" ] && [ -e $TGTK_RC_ENGINE ]; then
 mkdir -p "$tdehome/env"
 cp -f $TGTK_RC_ENGINE "$tdehome/env"
 chmod 755 "$tdehome/env/gtk-qt-engine.rc.sh"
fi

if [ ! -e $HOME/.gtkrc-2.0-kde4 ] && [ -e $TGTK_RC_TDE1 ]
then
 cp -f $TGTK_RC_TDE1 $HOME
fi

if [ ! -e $HOME/.gtkrc-2.0-kde-kde4 ] && [ -e $TGTK_RC_TDE2 ]
then
 cp -f $TGTK_RC_TDE2 $HOME
fi

exepath=`tde-config --path exe | tr : '\n'`

for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'`; do
  for file in "$prefix"*.sh; do
    test -r "$file" && . "$file"
  done
done

# Add any user-installed font directories to the X font path.

echo "[starttde] TDEDIR: $TDEDIR" 1>&2
echo "[starttde] TDEDIRS: $TDEDIRS" 1>&2

if test -n "$TDEDIRS"; then
  tdedirs_first=${TDEDIRS%%:*}
  echo "[starttde] tdedirs_first: $tdedirs_first"
  if [ -r $tdedirs_first/share/kgtk/preload ]; then
    echo "[starttde] Reading from $tdedirs_first/share/kgtk/preload"
    read -r TGTK_PRELOAD < $tdedirs_first/share/kgtk/preload
  fi
else
  if [ -r $TDEDIR/share/kgtk/preload ]; then
    read -r TGTK_PRELOAD < $TDEDIR/share/kgtk/preload
  fi
fi

if [ "$TGTK_PRELOAD" != "" ]; then
  if [ -e /usr/lib64/libnspr4.so ]; then
    TGTK_NSPR_PRELOAD="/usr/lib64/libnspr4.so:"
  elif [ -e /usr/lib/libnspr4.so ]; then
    TGTK_NSPR_PRELOAD="/usr/lib/libnspr4.so:"
  fi
  export LD_PRELOAD=$TGTK_PRELOAD:$TGTK_NSPR_PRELOAD$LD_PRELOAD
fi

# Note: temporary locations can be overridden through the TDETMP and TDEVARTMP environment variables
for resource in tmp cache socket; do
  if ! $TDEDIR/bin/lnusertemp $resource >/dev/null; then
    echo "[starttde] Call to lnusertemp failed (temporary directories full?). Check your installation." 1>&2
    xmessage -center -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation."
    exit 1
  fi
done

echo "[starttde] Starting Trinity..." 1>&2

# Detect any running Xorg composition managers.
$TDEDIR/bin/kdetcompmgr

# Run KPersonalizer before the session if this is the first login.
if test "$kpersonalizerrc_general_firstlogin" = "true"; then
  if [ ! -x $TDEDIR/bin/kpersonalizer ]; then
    echo "[starttde] kpersonalizer not found! Please install in order to properly configure your user profile." 1>&2
  else
    # Start only dcopserver, don't start whole tdeinit (takes too long).
    echo "[starttde] Running kpersonalizer..." 1>&2
    $TDEDIR/bin/dcopserver
    /usr/bin/twin --lock &
    $TDEDIR/bin/kpersonalizer --before-session
    # Handle kpersonalizer restarts (language change).
    while test $? -eq 1; do
      $TDEDIR/bin/kpersonalizer --r --before-session
    done
    $TDEDIR/bin/dcopquit twin
    $TDEDIR/bin/dcopserver_shutdown --wait
  fi
fi

# Apply any user-specific display configuration settings
$TDEDIR/bin/tdeinit_displayconfig
EXIT_CODE="$?"

if test -z "$dl"; then
# The splashscreen and progress indicator.
case "$ksplashrc_ksplash_theme" in
   None)
   ;; # Nothing.
   Simple)
   if test "$kpersonalizerrc_general_firstlogin" = "true"; then
       $TDEDIR/bin/ksplashsimple
   fi # Otherwise started earlier.
   ;;
   *)
   $TDEDIR/bin/ksplash --nodcop
   ;;
esac
fi

# Additionally there is $TDE_SESSION_UID with the uid of the user running the TDE session.
# It should be rarely needed (for example, after sudo to prevent desktop-wide functionality in the new user's kded).
TDE_FULL_SESSION=true
export TDE_FULL_SESSION
xprop -root -f TDE_FULL_SESSION 8t -set TDE_FULL_SESSION true
echo "[starttde] TDE_FULL_SESSION: $TDE_FULL_SESSION" 1>&2
TDE_SESSION_UID=`id -u`
export TDE_SESSION_UID
echo "[starttde] TDE_SESSION_UID: $TDE_SESSION_UID" 1>&2

# We set LD_BIND_NOW to increase the efficiency of tdeinit. tdeinit unsets this variable before loading applications.
LD_BIND_NOW=true $TDEDIR/bin/start_tdeinit_wrapper --new-startup +kcminit_startup
if test $? -ne 0; then
  # Startup error
  echo "[starttde] Could not start tdeinit. Check your installation." 1>&2
  xmessage -center -geometry 500x100 "Could not start tdeinit. Check your installation."
fi
echo "[starttde] tdeinit started successfully." 1>&2

# kdesktop needs notified of this locker process somehow so that it does not attempt launch its own locker process on startup!
if test -n "$dl"; then
  $TDEDIR/bin/kwrapper kdesktop_lock --forcelock &
  # Give it some time for starting up. This is somewhat unclean; some notification would be better.
  sleep 1
fi

export PATH=$PATH:$HOME/bin

# использовать менеджер окон Plasma5 (kwin_x11 --no-kactivities)
export TDEWM=/usr/bin/kwin_x11

# Finally, give the session control to the session manager. If tdeinit_phase1 should cause problems, here is the old way:
test -n "$TDEWM" && TDEWM="--windowmanager $TDEWM"
$TDEDIR/bin/kwrapper $TDEDIR/bin/ksmserver --nocrashhandler $TDEWM
EXIT_CODE="$?"
if test $EXIT_CODE -eq 255; then
  # Startup error
  echo "[starttde] An error was detected while attempting to load the session manager. Please check your installation for problems." 1>&2
  xmessage -center -geometry 500x100 "An error was detected while attempting to load the session manager. Please check your installation for problems."
fi

# Plasma: - завершение сеанса... Проверка открытых несохранённых документов

echo 'startkde: Shutting down...'  1>&2
kdeinit5_shutdown
echo "[starttde] Shutting down Trinity..." 1>&2
$TDEDIR/bin/tdeinit_shutdown
$TDEDIR/bin/dcopserver_shutdown --wait
$TDEDIR/bin/artsshell -q terminate

# Run scripts in shutdown directories: $PREFIX/shutdown $TDEHOME/shutdown $TDEDIRS/shutdown

unset KDE_FULL_SESSION
xprop -root -remove KDE_FULL_SESSION
unset KDE_SESSION_VERSION
xprop -root -remove KDE_SESSION_VERSION
unset KDE_SESSION_UID

unset TDE_FULL_SESSION
xprop -root -remove TDE_FULL_SESSION
unset TDE_SESSION_UID
echo "[starttde] Trinity shutdown complete." 1>&2
Здравствуйте! Пытаюсь установить TDE R14.0.5, собираю а мне выходит вот это


../../../../src/sql/drivers/psql/qsql_psql.cpp:1074:2: замечание: здесь
  case TQVariant::String:
  ^~~~
make[3]: *** [Makefile:137: .obj/qsql_psql.o] Ошибка 1
make[3]: выход из каталога «/home/vitaly/trinity/R14.0.5/tde-core/tde-tqt3/src/dependencies/tqt3/plugins/src/sqldrivers/psql»
make[2]: *** [Makefile:30: sub-psql] Ошибка 2
make[2]: выход из каталога «/home/vitaly/trinity/R14.0.5/tde-core/tde-tqt3/src/dependencies/tqt3/plugins/src/sqldrivers»
make[1]: *** [Makefile:56: sub-sqldrivers] Ошибка 2
make[1]: выход из каталога «/home/vitaly/trinity/R14.0.5/tde-core/tde-tqt3/src/dependencies/tqt3/plugins/src»
make: *** [Makefile:64: sub-plugins] Ошибка 2
==> ОШИБКА: Произошел сбой в build().
    Прерывание...
Что это может быть?
Vitaly_87
Что это может быть?
Смотри ошибки, которые в выводе не приведены.
Предположу, что причина в предупреждениях gcc, которые считаются ошибками (типа Werror)
Ошибки не исчезают с опытом - они просто умнеют
Vitaly_87, вы бы сначала попробовали это ДЕ в каком нибудь другом дистрибутиве, боюсь что ваши ожидания на его счет не оправдаются. Пробовал не так давно накатить на Centos, не Рио-де Жанейро, стопудово.
In Tux We Trust
redix
Vitaly_87, вы бы сначала попробовали это ДЕ в каком нибудь другом дистрибутиве, боюсь что ваши ожидания на его счет не оправдаются. Пробовал не так давно накатить на Centos, не Рио-де Жанейро, стопудово.
Я на Debian пробовал, сейчас на работе на нем сижу, класс)) Ностальгия блин
По ssh на домашний комп его ставлю, сейчас бинарники прошлой версии поставил, но иксы отпали, приеду домой чинить буду :)
Но штука мне нравится
Я не могу советовать, или не советовать - тут вы сами решаете, а я сказал о своих впечатлениях. Сильно древний тулкит третьи кутя.
In Tux We Trust
Может из-за этого:
Before installing please remove any presence of JRE and RUBY packages, after install you can put them back.
?
Поставил тринити таки, правда из бинарников прошлую версию :( Но проблема та же, что и на Дебиане - не работает переключалка раскладок - не реагирует на комбинации клавиш, только по щелчку мыши переключает
 
Зарегистрироваться или войдите чтобы оставить сообщение.